#//========================================================================
#// Copyright (c) Technische Software Entwicklung Plazotta © 2021
#//
#// DESCRIPTION:
#//    Shell Script to Build a cmake project under linux, running the Unittest and finally start teh install step
#//
#// HISTORY:
#//    09.04.2021 / PP
#//       Module created.
#//========================================================================
#!/bin/bash
#
ProjectName=@TSEP_AUTOBUILD_PROJECT@
UnitTestExe=@TSEP_AUTOBUILD_USED_UNITTEST@

#=======================================================================
# Start build
#=======================================================================
#echo " Auto Build Project   : " $ProjectName
#echo " Auto Build Unit Test : " $UnitTestExe
#echo "."
#- Release --------------------------------------------------------------
./scripts/BuildLinuxProject.sh $ProjectName Release $UnitTestExe
if [ $? -ne 0 ]; then
    echo "Error during Release build ..."
	exit 1
fi
#- Debug ----------------------------------------------------------------
./scripts//BuildLinuxProject.sh $ProjectName Debug $UnitTestExe
if [ $? -ne 0 ]; then
    echo "Error during Debug build ..."
	exit 1
fi
#
exit 0