###########################################################################################
#
# (c) Technical Software Engineering Plazotta 2021
#
# CMAKE project main file / @Add your project name@
#
#-----------------------------------------------------------------------------------------
# Define project specific requirements
#
# Minimum CMAKE version for this project
#
cmake_minimum_required (VERSION 3.15.0)
#
# Name of the project
set(MAIN_PROJECT_NAME @Add your project name@)
project(${MAIN_PROJECT_NAME})
#
#-----------------------------------------------------------------------------------------
# Include project specific definitions -> Generated file
#
include(Project.conf.cmake)
#
#-----------------------------------------------------------------------------------------
# Include cmake settings and macros
#
include(${TSEP_PROJECT_CMAKE}/CMakeMacros.cmake)
include(${TSEP_PROJECT_CMAKE}/CMakeSettings.cmake)
#
#-----------------------------------------------------------------------------------------
# google test framework -> enable if used
#
#TSEP_USE_GOOGLE_TESTING()
#
#-----------------------------------------------------------------------------------------
# Current project description
#
set(TSEP_PROJECT "@Add your project description@")
#
#-----------------------------------------------------------------------------------------
# Allow project folder structure
#
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
#
#-----------------------------------------------------------------------------------------
# Define projects for building
#
add_subdirectory("@Add your project name@")
add_subdirectory("@Add your unittest name@")
#
#-----------------------------------------------------------------------------------------
# Define projects for managing and distributing
#
# NEXUS Upload (Only windows)
#
IF(WIN32)
  TSEP_ADD_PROJECT_NEXUS_UPLOAD()
ENDIF()
#
