#//========================================================================
#// Copyright (c) Technische Software Entwicklung Plazotta © 2021
#//
#// DESCRIPTION:
#//    Shell Script to Build a cmake project under linux
#//
#// HISTORY:
#//    09.04.2021 / PP
#//       Module created.
#//========================================================================
#!/bin/bash
#
#- Setup Build Results -------------------------------------------------
cd ..
mkdir -p BuildResults
rm -r ./BuildResults_linux_Release
rm -r ./BuildResults_linux_Debug
mkdir -p BuildResults_linux_Release
mkdir -p BuildResults_linux_Debug

#- CMAKE (Release)------------------------------------------------------
cd BuildResults_linux_Release
cmake -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Release ../Software
if [ $? -ne 0 ]; then
    echo "Error during CMake(Release) generation..."
	exit 1
fi

#- CMAKE (Debug) -------------------------------------------------------
cd ../BuildResults_linux_Debug
cmake -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Debug ../Software
if [ $? -ne 0 ]; then
    echo "Error during CMake(Debug) generation..."
	exit 1
fi
